PHP Manual
Prev |  | Next

# XSLTProcessor->registerPHPFunctions()

(no version information, might be only in CVS)

XSLTProcessor->registerPHPFunctions() -- Enables the ability to use PHP functions as XSLT functions

## Description

class XSLTProcessor {
void registerPHPFunctions ( [mixed restrict] )
}

This method enables the ability to use PHP functions as XSLT functions within XSL stylesheets.

## Parameters

restrict

  Use this parameter to only allow certain functions to be called from XSLT.

  This parameter can be either a string (a function name) or an array of functions.

## Return Values

No value is returned.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The restrict parameter was added.

Prev | Home | Next
XSLTProcessor->importStylesheet() | Up | XSLTProcessor->removeParameter()